> ## Documentation Index
> Fetch the complete documentation index at: https://docs.diversion.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List organization members

> Get a paginated list of all members in the organization, sorted by name



## OpenAPI

````yaml get /organizations/{org_id}/members
openapi: 3.0.3
info:
  title: Diversion Core API
  description: >-
    Definition of the Core API used to access low-level functionality of
    Diversion
  version: 0.2.0
servers:
  - url: https://api.diversion.dev/v0
    description: Base endpoint
security: []
paths:
  /organizations/{org_id}/members:
    get:
      tags:
        - Organization Management
      summary: List organization members
      description: Get a paginated list of all members in the organization, sorted by name
      operationId: src.handlersv2.organization.list_members
      parameters:
        - in: path
          name: org_id
          required: true
          schema:
            type: string
            minLength: 1
            maxLength: 128
          description: Organization identifier
        - in: query
          name: limit
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 100
          description: Maximum number of items to return
        - in: query
          name: offset
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
          description: Number of items to skip
      responses:
        '200':
          description: List of organization members
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedOrganizationMemberList'
        '403':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
        default:
          $ref: '#/components/responses/Error'
      security:
        - OAuth2:
            - coreapi/read
components:
  schemas:
    PaginatedOrganizationMemberList:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/OrganizationMemberData'
        total:
          type: integer
          description: Total number of items available
        has_more:
          type: boolean
          description: Whether there are more items available
      required:
        - items
        - total
        - has_more
    OrganizationMemberData:
      type: object
      properties:
        member:
          $ref: '#/components/schemas/OrganizationMember'
        user:
          $ref: '#/components/schemas/User'
      required:
        - member
        - user
    Error:
      type: object
      properties:
        status:
          type: integer
          description: HTTP status code
        detail:
          type: string
        title:
          type: string
        type:
          type: string
      required:
        - status
        - detail
    OrganizationMember:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the organization member
          example: member_123456
        user_id:
          type: string
          description: ID of the user who is a member of the organization
          example: user_123456
        organization_id:
          type: string
          description: ID of the organization
          example: org_123456
        role:
          $ref: '#/components/schemas/AccessMode'
      required:
        - id
        - user_id
        - organization_id
        - role
    User:
      description: User details
      type: object
      properties:
        image:
          type: string
          description: >-
            URL of the user image. If updating the image, could be a base64
            encoded image.
          maxLength: 524288
        email:
          type: string
          format: email
        full_name:
          type: string
        id:
          type: string
        name:
          type: string
        tier:
          $ref: '#/components/schemas/Tier'
      required:
        - id
    AccessMode:
      type: string
      enum:
        - READ
        - WRITE
        - ADMIN
        - OWNER
    Tier:
      description: The tier of the user
      type: string
      enum:
        - EDUCATION
        - INDIE
        - PROFESSIONAL
        - ENTERPRISE
        - UNKNOWN
  responses:
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    NotFound:
      description: The specified resource was not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Error:
      description: An error occurred
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    OAuth2:
      type: oauth2
      x-tokenInfoFunc: src.token_info.token_auth
      description: This API uses OAuth 2 with the implicit grant flow
      flows:
        implicit:
          authorizationUrl: https://auth.diversion.dev/oauth2/authorize
          scopes:
            coreapi/read: Operations with no possible side-effects
            coreapi/write: Modifying operations
            coreapi/admin: >-
              Organizational operations like adding a repo or changing repo
              properties

````